AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AmplifyService

## Index

### Constructors

- constructor

### Properties

- authStateChange$

### Methods

- analytics
- api
- auth
- authState
- cache
- i18n
- interactions
- logger
- pubsub
- setAuthState
- storage
- xr

## Constructors

### constructor

- new AmplifyService(modules?: any): AmplifyService

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:36

  #### Parameters

  - ##### Default value modules: any = {}

  #### Returns AmplifyService

## Properties

### authStateChange$

authStateChange$: any = this._authState.asObservable()

- Defined in aws-amplify-angular/src/providers/amplify.service.ts:36

## Methods

### analytics

- analytics(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:63

  #### Returns any

### api

- api(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:65

  #### Returns any

### auth

- auth(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:62

  #### Returns any

### authState

- authState(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:73

  #### Returns any

### cache

- cache(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:67

  #### Returns any

### i18n

- i18n(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:71

  #### Returns any

### interactions

- interactions(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:66

  #### Returns any

### logger

- logger(name: any, level?: any): Logger

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:69

  #### Parameters

  - ##### name: any

  - ##### Optional level: any

  #### Returns Logger

### pubsub

- pubsub(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:68

  #### Returns any

### setAuthState

- setAuthState(state: AuthState): void

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:74

  #### Parameters

  - ##### state: AuthState

  #### Returns void

### storage

- storage(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:64

  #### Returns any

### xr

- xr(): any

- - Defined in aws-amplify-angular/src/providers/amplify.service.ts:70

  #### Returns any